Free Sequencer
Create and manage custom number sequences in VARIO Cloud via the Free Sequencer API, including activation, configuration, preview and next-value retrieval.
Create and Manage Free to use Sequences
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
key
active
Next number.
Resource with given ID was not found
GET /cmn/sequencer/free/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"key": "text",
"active": true,
"sequencerConfiguration": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"key": "text",
"configurationGroup": "text",
"configurationDetail": {
"type": "NON_POOLED_SEQUENCES",
"assignmentMode": "MANUAL",
"length": 1,
"padChar": "text",
"expression": "text",
"postExpression": "text",
"initialValue": 1,
"numberUnique": true
},
"alternativeConfiguration": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"active": true
},
"nextNumber": "text"
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
key
active
Next number.
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
key
active
Next number.
Resource was not found
Resource was not valid to process
PUT /cmn/sequencer/free/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 413
{
"version": "text",
"info": {},
"id": "text",
"label": "text",
"description": "text",
"key": "text",
"active": true,
"sequencerConfiguration": {
"version": "text",
"info": {},
"id": "text",
"configurationDetail": {
"type": "NON_POOLED_SEQUENCES",
"assignmentMode": "MANUAL",
"length": 1,
"padChar": "text",
"expression": "text",
"postExpression": "text",
"initialValue": 1,
"numberUnique": true
},
"alternativeConfiguration": {
"id": "text"
},
"active": true
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"key": "text",
"active": true,
"sequencerConfiguration": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"key": "text",
"configurationGroup": "text",
"configurationDetail": {
"type": "NON_POOLED_SEQUENCES",
"assignmentMode": "MANUAL",
"length": 1,
"padChar": "text",
"expression": "text",
"postExpression": "text",
"initialValue": 1,
"numberUnique": true
},
"alternativeConfiguration": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"active": true
},
"nextNumber": "text"
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /cmn/sequencer/free/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
key
active
Next number.
Resource was not found
Resource was not valid to process
PUT /cmn/sequencer/free/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"key": "text",
"active": true,
"sequencerConfiguration": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"key": "text",
"configurationGroup": "text",
"configurationDetail": {
"type": "NON_POOLED_SEQUENCES",
"assignmentMode": "MANUAL",
"length": 1,
"padChar": "text",
"expression": "text",
"postExpression": "text",
"initialValue": 1,
"numberUnique": true
},
"alternativeConfiguration": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"active": true
},
"nextNumber": "text"
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
key
active
Next number.
Resource was not found
Resource was not valid to process
PUT /cmn/sequencer/free/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"key": "text",
"active": true,
"sequencerConfiguration": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"key": "text",
"configurationGroup": "text",
"configurationDetail": {
"type": "NON_POOLED_SEQUENCES",
"assignmentMode": "MANUAL",
"length": 1,
"padChar": "text",
"expression": "text",
"postExpression": "text",
"initialValue": 1,
"numberUnique": true
},
"alternativeConfiguration": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"active": true
},
"nextNumber": "text"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
key
active
Next number.
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
key
active
Next number.
Resource was not valid to process
POST /cmn/sequencer/free HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 413
{
"version": "text",
"info": {},
"id": "text",
"label": "text",
"description": "text",
"key": "text",
"active": true,
"sequencerConfiguration": {
"version": "text",
"info": {},
"id": "text",
"configurationDetail": {
"type": "NON_POOLED_SEQUENCES",
"assignmentMode": "MANUAL",
"length": 1,
"padChar": "text",
"expression": "text",
"postExpression": "text",
"initialValue": 1,
"numberUnique": true
},
"alternativeConfiguration": {
"id": "text"
},
"active": true
}
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"key": "text",
"active": true,
"sequencerConfiguration": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"key": "text",
"configurationGroup": "text",
"configurationDetail": {
"type": "NON_POOLED_SEQUENCES",
"assignmentMode": "MANUAL",
"length": 1,
"padChar": "text",
"expression": "text",
"postExpression": "text",
"initialValue": 1,
"numberUnique": true
},
"alternativeConfiguration": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"active": true
},
"nextNumber": "text"
}OK
GET /cmn/sequencer/free/{id}/peek/ HTTP/1.1
Host: api.example.com
Accept: */*
OK
textOK
GET /cmn/sequencer/free/{id}/next-value/ HTTP/1.1
Host: api.example.com
Accept: */*
OK
textOK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Label.
Description.
key
active
Next number.
GET /cmn/sequencer/free/sequences HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]Last updated
Was this helpful?